V9.0
post
/ec-designer-svc/rest/v9.0/studies/{studyId}/studyDesign/paginated
Returns paginated study design data for the requested mode and pagination scope.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E
Query Parameters
-
dynamicData: boolean
Return details when call made by service to service Optional.Default Value:
trueExample:true -
forms: boolean
Set to true to paginate forms within each study version node. Optional.Default Value:
falseExample:false -
mode: string
Study mode filter. Allowed values: design (draft design data), test (testing data), training (training data), active (approved production data), all (all modes). Optional.Default Value:
testAllowed Values:[ "test", "active" ]Example:test
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
limit: integer
(int32)
Maximum number of records to display per page.Example:
50 -
offset: integer
(int32)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
5 -
version: string
versionExample:
1.3.0.6 -
visitId: string
(uuid)
Visit GUID
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : DesignerPaginatedResponse
Type:
objectTitle:
DesignerPaginatedResponseStudy design paginated response.
Show Source
-
count(required): integer
(int32)
How many pages in the paginated subList.Example:
2 -
hasMore(required): boolean
Yes - if there is at least one next page exists.Example:
false -
limit(required): integer
(int32)
Max requested number of pages in the paginated subList.Example:
3 -
offset(required): integer
(int32)
Requested lower page (inclusive) of the paginated subList.Example:
2 -
studyDetails(required): array
studyDetails
-
totalResults(required): integer
(int32)
How many pages for a paginated object exist.Example:
6
Nested Schema : items
Type:
objectExamples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}